Bug 480055 - misleading warnings from rhn-satellite-activate
misleading warnings from rhn-satellite-activate
Status: CLOSED CURRENTRELEASE
Product: Spacewalk
Classification: Community
Component: Clients (Show other bugs)
0.4
All Linux
low Severity medium
: ---
: ---
Assigned To: Pradeep Kilambi
Jesus M. Rodriguez
:
Depends On:
Blocks: space05
  Show dependency treegraph
 
Reported: 2009-01-14 13:59 EST by Jesus M. Rodriguez
Modified: 2009-09-17 03:08 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-17 03:08:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jesus M. Rodriguez 2009-01-14 13:59:18 EST
using redhat-internal-devel.cert, I run the following command:

# rhn-satellite-activate --rhn-cert /tmp/redhat-internal-devel.cert --disconnected --ignore-version-mismatch

I get a bunch of nasty looking warnings:
Pushing scout configs to all monitoring scouts
-----------------------
13:41:55    WARNING:  ignoring unavailable channel family rhel-server
13:41:55    WARNING:  ignoring unavailable channel family rhel-cluster
13:41:55    WARNING:  ignoring unavailable channel family rhel-gfs
13:41:55    WARNING:  ignoring unavailable channel family rhel-client-workstation
13:41:55    WARNING:  ignoring unavailable channel family rhel-client-vt
13:41:55    WARNING:  ignoring unavailable channel family rhel-devsuite
13:41:55    WARNING:  ignoring unavailable channel family rhel-client-supplementary
13:41:55    WARNING:  ignoring unavailable channel family rhel-s390x-server-supplementary
13:41:55    WARNING:  ignoring unavailable channel family rhel-client-workstation-fastrack
13:41:55    WARNING:  ignoring unavailable channel family rhn-tools
13:41:55    WARNING:  ignoring unavailable channel family rhel-client
13:41:55    WARNING:  ignoring unavailable channel family rhel-server-fastrack
13:41:55    WARNING:  ignoring unavailable channel family rhel-server-hts
13:41:55    WARNING:  ignoring unavailable channel family rhel-server-vt
13:41:55    WARNING:  ignoring unavailable channel family rhel-server-cluster-storage
13:41:55    WARNING:  ignoring unavailable channel family rhel-server-cluster
13:41:55    WARNING:  ignoring unavailable channel family rhel-s390x-fastrack
13:41:55    WARNING:  ignoring unavailable channel family rhel-rhaps
13:41:55    WARNING:  ignoring unavailable channel family rhel-client-fastrack
13:41:55    WARNING:  ignoring unavailable channel family rhn-proxy
13:41:55    WARNING:  ignoring unavailable channel family rhel-server-supplementary
13:41:55    WARNING:  ignoring unavailable channel family rhel-s390x-server
13:41:55    WARNING:  ignoring unavailable channel family rhel-server-productivity
13:41:55    WARNING:  ignoring unavailable channel family rhel-server-cluster-storage-z
13:41:55    WARNING:  ignoring unavailable channel family rhel-server-cluster-z
13:41:55    WARNING:  ignoring unavailable channel family rhel-server-productivity-z
13:41:55    WARNING:  ignoring unavailable channel family rhel-server-supplementary-z
13:41:55    WARNING:  ignoring unavailable channel family rhel-server-vt-z
13:41:55    WARNING:  ignoring unavailable channel family rhel-server-z
13:41:55    WARNING:  ignoring unavailable channel family rhel-appstk
13:41:55    WARNING:  ignoring unavailable channel family jb-appplatform
13:41:55    WARNING:  ignoring unavailable channel family jb-middleware
-------------------------------------

I immediately think my activation failed. What is it ignoring and why?
I would rather see these be INFO and only visible when used with -vvv.
Comment 1 Jesus M. Rodriguez 2009-04-14 10:12:08 EDT
Spacewalk 0.5 released.
Comment 2 Miroslav Suchý 2009-09-17 03:08:59 EDT
Spacewalk 0.5 has been released for long time ago.

Note You need to log in before you can comment on or make changes to this bug.